USE [COWS]
GO

delete [COWS].[dbo].[LK_CPE_PID]

-- International Rental 

INSERT INTO [COWS].[dbo].[LK_CPE_PID]
           ([DMSTC_CD],[PID_PROD_ID],[PID_CNTRCT_TYPE],[EQPT_TYPE_ID],[DROP_SHP],[PROJ_ID],[ACCT],[PRODCT],[ACTVY],[SOURCE_TYP]
           ,[RSRC_CAT],[BUS_UNT_GL],[COST_CNTR],[MRKT],[REGN],[BUS_UNT_PC],[CREAT_DT],[MODFD_DT],[MODFD_BY_USER_ID]
           ,[CREAT_BY_USER_ID],[REC_STUS_ID])
     VALUES
           ( 1 ,null,'RNTL',null,'N','A1954003','154500','1990','HARDWARE_CAPEX','HDWAR','47113','003','09070','0100','0100','PC005',GETDATE(),NULL,NULL,1 ,1)

INSERT INTO [COWS].[dbo].[LK_CPE_PID]
           ([DMSTC_CD],[PID_PROD_ID],[PID_CNTRCT_TYPE],[EQPT_TYPE_ID],[DROP_SHP],[PROJ_ID],[ACCT],[PRODCT],[ACTVY],[SOURCE_TYP]
           ,[RSRC_CAT],[BUS_UNT_GL],[COST_CNTR],[MRKT],[REGN],[BUS_UNT_PC],[CREAT_DT],[MODFD_DT],[MODFD_BY_USER_ID]
           ,[CREAT_BY_USER_ID],[REC_STUS_ID])
     VALUES
           ( 1 ,null,'LEAS',null,'N','A1954003','154500','1990','HARDWARE_CAPEX','HDWAR','47113','003','09070','0100','0100','PC005',GETDATE(),NULL,NULL,1 ,1)


-- International Purchase

INSERT INTO [COWS].[dbo].[LK_CPE_PID]
           ([DMSTC_CD],[PID_PROD_ID],[PID_CNTRCT_TYPE],[EQPT_TYPE_ID],[DROP_SHP],[PROJ_ID],[ACCT],[PRODCT],[ACTVY],[SOURCE_TYP]
           ,[RSRC_CAT],[BUS_UNT_GL],[COST_CNTR],[MRKT],[REGN],[BUS_UNT_PC],[CREAT_DT],[MODFD_DT],[MODFD_BY_USER_ID]
           ,[CREAT_BY_USER_ID],[REC_STUS_ID])
     VALUES
           ( 1 ,null,'PRCH',null,'N','A0698003','235805','1990','COST_REVENUE','HDWAR',null,'003','09070','0100','0100','PC005',GETDATE(),NULL,NULL,1 ,1)


-- International Installment

INSERT INTO [COWS].[dbo].[LK_CPE_PID]
           ([DMSTC_CD],[PID_PROD_ID],[PID_CNTRCT_TYPE],[EQPT_TYPE_ID],[DROP_SHP],[PROJ_ID],[ACCT],[PRODCT],[ACTVY],[SOURCE_TYP]
           ,[RSRC_CAT],[BUS_UNT_GL],[COST_CNTR],[MRKT],[REGN],[BUS_UNT_PC],[CREAT_DT],[MODFD_DT],[MODFD_BY_USER_ID]
           ,[CREAT_BY_USER_ID],[REC_STUS_ID])
     VALUES
           ( 1 ,null,'INST',null,'N','A0992004','235805','1910','COST_REVENUE','HDWAR',null,'003','09070','0100','0100','PC005',GETDATE(),NULL,NULL,1 ,1)



-- Domestic Installment

INSERT INTO [COWS].[dbo].[LK_CPE_PID]
           ([DMSTC_CD],[PID_PROD_ID],[PID_CNTRCT_TYPE],[EQPT_TYPE_ID],[DROP_SHP],[PROJ_ID],[ACCT],[PRODCT],[ACTVY],[SOURCE_TYP]
           ,[RSRC_CAT],[BUS_UNT_GL],[COST_CNTR],[MRKT],[REGN],[BUS_UNT_PC],[CREAT_DT],[MODFD_DT],[MODFD_BY_USER_ID]
           ,[CREAT_BY_USER_ID],[REC_STUS_ID])
     VALUES
           ( 0 ,null,'INST',null,'N','A0992004','235805','1910','COST_REVENUE','HDWAR',null,'003','09070','0100','0100','PC005',GETDATE(),NULL,NULL,1 ,1)

-- Domestic Purchase

INSERT INTO [COWS].[dbo].[LK_CPE_PID]
           ([DMSTC_CD],[PID_PROD_ID],[PID_CNTRCT_TYPE],[EQPT_TYPE_ID],[DROP_SHP],[PROJ_ID],[ACCT],[PRODCT],[ACTVY],[SOURCE_TYP]
           ,[RSRC_CAT],[BUS_UNT_GL],[COST_CNTR],[MRKT],[REGN],[BUS_UNT_PC],[CREAT_DT],[MODFD_DT],[MODFD_BY_USER_ID]
           ,[CREAT_BY_USER_ID],[REC_STUS_ID])
     VALUES
           ( 0 ,null,'PRCH',null,'N','A0992001','235805','1910','COST_REVENUE','HDWAR',null,'003','09070','0100','0100','PC005',GETDATE(),NULL,NULL,1 ,1)


--Domestic Rental

INSERT INTO [COWS].[dbo].[LK_CPE_PID]
           ([DMSTC_CD],[PID_PROD_ID],[PID_CNTRCT_TYPE],[EQPT_TYPE_ID],[DROP_SHP],[PROJ_ID],[ACCT],[PRODCT],[ACTVY],[SOURCE_TYP]
           ,[RSRC_CAT],[BUS_UNT_GL],[COST_CNTR],[MRKT],[REGN],[BUS_UNT_PC],[CREAT_DT],[MODFD_DT],[MODFD_BY_USER_ID]
           ,[CREAT_BY_USER_ID],[REC_STUS_ID])
     VALUES
           ( 0,null,'RNTL',null,'N','A1954001','154500','1990','HARDWARE_CAPEX','HDWAR','47113','003','09070','0100','0100','PC005',GETDATE(),NULL,NULL,1,1)
INSERT INTO [COWS].[dbo].[LK_CPE_PID]
           ([DMSTC_CD],[PID_PROD_ID],[PID_CNTRCT_TYPE],[EQPT_TYPE_ID],[DROP_SHP],[PROJ_ID],[ACCT],[PRODCT],[ACTVY],[SOURCE_TYP]
           ,[RSRC_CAT],[BUS_UNT_GL],[COST_CNTR],[MRKT],[REGN],[BUS_UNT_PC],[CREAT_DT],[MODFD_DT],[MODFD_BY_USER_ID]
           ,[CREAT_BY_USER_ID],[REC_STUS_ID])
     VALUES
           ( 0,null,'LEAS',null,'N','A1954001','154500','1990','HARDWARE_CAPEX','HDWAR','47113','003','09070','0100','0100','PC005',GETDATE(),NULL,NULL,1,1)


--Drop Ship

INSERT INTO [COWS].[dbo].[LK_CPE_PID]
           ([DMSTC_CD],[PID_PROD_ID],[PID_CNTRCT_TYPE],[EQPT_TYPE_ID],[DROP_SHP],[PROJ_ID],[ACCT],[PRODCT],[ACTVY],[SOURCE_TYP]
           ,[RSRC_CAT],[BUS_UNT_GL],[COST_CNTR],[MRKT],[REGN],[BUS_UNT_PC],[CREAT_DT],[MODFD_DT],[MODFD_BY_USER_ID]
           ,[CREAT_BY_USER_ID],[REC_STUS_ID])
     VALUES
           ( 0,null,'PRCH',null,'Y','L9090003','500602','1990','COST_REVENUE','HDWAR',null,'003','09070','0100','0100','PC005',GETDATE(),NULL,NULL,1,1)
